PHP 5.6.0beta1 released

Lista opțiunilor de configurare de bază

Mai jos este prezentată lista parțială a opțiunilor de configurare, folosite de scripturile configure ale PHP, atunci când se efectuează compilarea în mediile de tip Unix. Majoritatea opțiunilor de configurare sunt listate în locațiile corespunzătoare din paginile de referință ale extensiilor, și nu aici. Pentru o listă completă și reînnoită a opțiunilor de configurare lansați ./configure --help în directorul cu sursa dumneavoastră PHP, după ce a fost lansat autoconf (vedeți, de asemenea capitolul despre instalare). Dumneavoastră puteți fi cointeresat să citiți și documentația » GNU configure pentru informații despre opțiunile configure suplimentare, cum ar fi --prefix=PREFIX.

Notă:

Acestea sunt utilizate doar în timpul compilării. Dacă doriți să modificați configurația PHP în timpul rulării, vă rugăm să vedeți capitolul despre Configurația la rulare.

Opțiunile de configurare din PHP

Notă:

Aceste opțiuni sunt folosite numai în PHP, începând cu PHP 4.1.0, cu toate că unele sunt disponibile și în versiuni mai vechi. Dacă doriți să compilați o versiune mai veche, este probabil ca unele opțiuni să nu fie disponibile.

Opțiuni diverse

--enable-debug

Compilează cu simbolurile de debugging.

--with-layout=TYPE

Setează modul în care fișierele instalate vor fi amplasate. TYPE este una din valorile PHP (implicit) sau GNU.

--with-pear=DIR

Instalează PEAR în DIR (implicit PREFIX/lib/php).

--without-pear

Fără instalarea PEAR.

--enable-sigchild

Activează propriul handler SIGCHLD al PHP.

--disable-rpath

Dezactivează posibilitatea indicării căilor de căutare suplimentare ale bibliotecii la rulare.

--enable-libgcc

Activează în mod explicit legătura cu libgcc.

--enable-php-streams

Include fluxurile PHP experimentale. Nu folosiți decât dacă testați codul sursă!

--with-zlib-dir[=DIR]

Definește locația directorului de instalare zlib.

--enable-trans-sid

Activează propagarea identificatorului de sesiune transparent. Valid numai pentru PHP 4.1.2 sau mai mic. Începând cu PHP 4.2.0 facilitatea identificatorului de sesiune transparent este compilată întotdeauna.

--with-tsrm-pthreads

Folosește firele POSIX (implicit).

--enable-shared[=PKGS]

Asamblează biblioteci partajate [implicit=da].

--enable-static[=PKGS]

Asamblează biblioteci statice [implicit=da].

--enable-fast-install[=PKGS]

Optimizează pentru o instalare rapidă [implicit=da].

--with-gnu-ld

Presupune că compilatorul C folosește ld al GNU [implicit=nu].

--disable-libtool-lock

Evită închiderea (poate deteriora asamblările paralele).

--with-pic

Încearcă folosirea numai a obiectelor PIC/non-PIC [implicit=folosește ambele].

--enable-memory-limit

Compilează cu susțineara limitelor de memorie. (nu este disponibilă începând cu PHP 5.2.1 - mereu activată)

--disable-url-fopen-wrapper

Dezactivează învelișul pentru funcția fopen, care susține accesarea fișierelor prin HTTP sau FTP. (nu este disponibil începând cu PHP 5.2.5)

--enable-versioning

Exportă numai simbolurile necesare. Vezi INSTALL pentru informații suplimentare.

Opțiunile PHP

--enable-maintainer-mode

Activează regulile și dependențele make nefolositoare (și uneori neclare) pentru un instalator obișnuit.

--with-config-file-path=PATH

Setează calea în care este căutat php.ini, implicit aceasta este PREFIX/lib.

--enable-safe-mode

Implicit activează modul sigur (safe mode).

Avertizare

Această facilitate a fost DEZAPROBATĂ începând cu PHP 5.3.0 și ELIMINATĂ începând cu PHP 5.4.0.

--with-exec-dir[=DIR]

Permite executarea fișierelor numai din directorul DIR, atunci când este activat modul sigur. Implicit este /usr/local/php/bin.

Avertizare

Această facilitate a fost DEZAPROBATĂ începând cu PHP 5.3.0 și ELIMINATĂ începând cu PHP 5.4.0.

--enable-magic-quotes

Implicit activează citatele magice (magic quotes).

Avertizare

Această facilitate a fost DEZAPROBATĂ începând cu PHP 5.3.0 și ELIMINATĂ începând cu PHP 5.4.0.

--disable-short-tags

Dezactivează forma scurtă implicită a etichetei de startare <? .

--enable-zend-multibyte

Permite executarea codului-sursă multibyte în interpretorul și scanerul limbajului. Când PHP este compilat cu această opțiune, se activează de asemenea și directiva encoding în construcția declare.

Avertizare

Această facilitate a fost DEZAPROBATĂ începând cu PHP 5.3.0 și ELIMINATĂ începând cu PHP 5.4.0.

--with-libdir

Specifică directorul unde se află bibliotecile cu ajutorul cărora a fost asamblat PHP pe un sistem Unix. Pentru sisteme pe 64 biți, este necesar de a stabili acest argument cu valoarea directorului lib64 în felul următor: --with-libdir=lib64.

Opțiunile SAPI

Lista ce urmează conține interfețele SAPI (Server Application Programming Interface — Interfața de Programare a Aplicațiilor pentru Server) disponibile pentru PHP.

--with-aolserver=DIR

Specifică calea spre AOLserver instalat.

--with-apxs[=FILE]

Asamblează un modul partajat pentru Apache. FILE este calea opțională spre instrumentul apxs; implicit este apxs. Asigurați-vă că specificați versiunea apxs care este într-adevăr instalată pe sistemul dumneavoastră, NU aceea ce se conține în pachetul cu sursa apache.

--with-apache[=DIR]

Asamblează un modul static pentru Apache. DIR este directorul de vârf al serverului Apache asamblat, implicit este /usr/local/apache.

--with-mod_charset

Activează tabelele de transfer pentru mod_charset (Apache rusesc).

--with-apxs2[=FILE]

Asamblează un modul partajat pentru Apache 2.0. FILE este calea opțională spre instrumentul apxs; implicit este apxs.

--with-caudium=DIR

Asamblează PHP în calitate de modul Pike, pentru a fi folosit cu Caudium. DIR este directorul serverului Caudium, cu valoarea implicită /usr/local/caudium/server.

--disable-cli

Disponibil odată cu PHP 4.3.0. Dezactivează asamblarea versiunii CLI a PHP (aceasta impune și --without-pear). Mai multe informații sunt disponibile în secțiunea desspre Utilizarea PHP din linia de comandă.

--enable-embed[=TYPE]

Activează asamblarea unei biblioteci SAPI încorporate. TYPE poate fi sau shared, sau static și implicit este shared. Disponibil odată cu PHP 4.3.0.

--with-fhttpd[=DIR]

Asamblează un modul fhttpd. DIR este directorul cu sursele fhttpd, implicit are valoarea /usr/local/src/fhttpd. Nu mai este disponibil începând cu PHP 4.3.0.

--with-isapi=DIR

Asamblează PHP în calitate de modul ISAPI, pentru a fi utilizat cu Zeus.

--with-nsapi=DIR

Specifică calea spre web server-ele instalate Netscape/iPlanet/SunONE.

--with-phttpd=DIR

Deocamdată nu există informații.

--with-pi3web=DIR

Asamblează PHP în calitate de modul, pentru a fi utilizat cu Pi3Web.

--with-roxen=DIR

Asamblează PHP în calitate de modul Pike. DIR este directorul de bază al Roxen, în mod normal /usr/local/roxen/server.

--enable-roxen-zts

Asamblează modulul Roxen utilizând Zend Thread Safety.

--with-servlet[=DIR]

Include susținerea servlet-urilor. DIR este directorul de bază, unde este instalat JSDK. Acest SAPI necesită ca extensia java să fie asamblată ca un 'dl' partajat.

--with-thttpd=SRCDIR

Asamblează PHP în calitate de modul thttpd.

--with-tux=MODULEDIR

Asamblează PHP în calitate de modul TUX (numai în Linux).

--with-webjames=SRCDIR

Asamblează PHP în calitate de modul WebJames (numai în RISC OS)

--disable-cgi

Dezactivează asamblarea versiunii CGI a PHP. Disponibil începând cu PHP 4.3.0.

Începând cu PHP 5.3.0 acest argument activează FastCGI, care anterior trebuia activat cu ajutorul --enable-fastcgi.

--enable-force-cgi-redirect

Activează controlul de securitate pentru redirecționările interne ale serverului. Ar trebui să utilizați această opțiune dacă rulați versiunea CGI cu Apache.

Începând cu PHP 5.3.0 acest argument este activat implicit și nu mai există. Pentru a dezactiva această funcționalitate, directiva ini cgi.force_redirect trebuie stabilită în 0.

--enable-discard-path

Dacă această opțiune e activată, fișierul binar CGI al PHP poate fi plasat în mod sigur în afara arborelui web și nimeni nu va putea sparge securitatea .htaccess.

Începând cu PHP 5.3.0 acest argument este dezactivat implicit și nu mai există. Pentru a activa această facilitate, directiva ini cgi.discard_path trebuie stabilită în 1.

--with-fastcgi

Asamblează PHP în calitate de aplicație FastCGI. Aceasta nu mai este disponibilă începând cu PHP 4.3.0. În loc, ar trebui să folosiți --enable-fastcgi .

--enable-fastcgi

Dacă această opțiune e activată, modulul CGI va fi asamblat de asemenea cu susținerea FastCGI. Disponibil începând cu PHP 4.3.0

Începând cu PHP 5.3.0 acest argument nu mai există și este activat cu --enable-cgi în loc.

--disable-path-info-check

Dacă această opțiune e dezactivată, căile ca /info.php/test?a=b nu vor funcționa. Disponibil începând cu PHP 4.3.0. Pentru informații suplimentare, accesați » Manualul Apache.

add a note add a note

User Contributed Notes 1 note

up
-7
quantoid
4 years ago
use --enable-soap to use SoapClient/Server classes
To Top